# require 'rails_helper'
#
# # This spec was generated by rspec-rails when you ran the scaffold generator.
# # It demonstrates how one might use RSpec to specify the controller code that
# # was generated by Rails when you ran the scaffold generator.
# #
# # It assumes that the implementation code is generated by the rails scaffold
# # generator.  If you are using any extension libraries to generate different
# # controller code, this generated spec may or may not pass.
# #
# # It only uses APIs available in rails and/or rspec-rails.  There are a number
# # of tools you can use to make these specs even more expressive, but we're
# # sticking to rails and rspec-rails APIs to keep things simple and stable.
# #
# # Compared to earlier versions of this generator, there is very limited use of
# # stubs and message expectations in this spec.  Stubs are only used when there
# # is no simpler way to get a handle on the object needed for the example.
# # Message expectations are only used when there is no simpler way to specify
# # that an instance is receiving a specific message.
#
# RSpec.describe StatisticEntriesController, type: :controller do
#
#   # This should return the minimal set of attributes required to create a valid
#   # StatisticEntry. As you add validations to StatisticEntry, be sure to
#   # adjust the attributes here as well.
#   let(:valid_attributes) {
#     skip("Add a hash of attributes valid for your model")
#   }
#
#   let(:invalid_attributes) {
#     skip("Add a hash of attributes invalid for your model")
#   }
#
#   # This should return the minimal set of values that should be in the session
#   # in order to pass any filters (e.g. authentication) defined in
#   # StatisticEntriesController. Be sure to keep this updated too.
#   let(:valid_session) { {} }
#
#   describe "GET #index" do
#     it "assigns all statistic_entries as @statistic_entries" do
#       statistic_entry = StatisticEntry.create! valid_attributes
#       get :index, {}, valid_session
#       expect(assigns(:statistic_entries)).to eq([statistic_entry])
#     end
#   end
#
#   describe "GET #show" do
#     it "assigns the requested statistic_entry as @statistic_entry" do
#       statistic_entry = StatisticEntry.create! valid_attributes
#       get :show, {:id => statistic_entry.to_param}, valid_session
#       expect(assigns(:statistic_entry)).to eq(statistic_entry)
#     end
#   end
#
#   describe "GET #new" do
#     it "assigns a new statistic_entry as @statistic_entry" do
#       get :new, {}, valid_session
#       expect(assigns(:statistic_entry)).to be_a_new(StatisticEntry)
#     end
#   end
#
#   describe "GET #edit" do
#     it "assigns the requested statistic_entry as @statistic_entry" do
#       statistic_entry = StatisticEntry.create! valid_attributes
#       get :edit, {:id => statistic_entry.to_param}, valid_session
#       expect(assigns(:statistic_entry)).to eq(statistic_entry)
#     end
#   end
#
#   describe "POST #create" do
#     context "with valid params" do
#       it "creates a new StatisticEntry" do
#         expect {
#           post :create, {:statistic_entry => valid_attributes}, valid_session
#         }.to change(StatisticEntry, :count).by(1)
#       end
#
#       it "assigns a newly created statistic_entry as @statistic_entry" do
#         post :create, {:statistic_entry => valid_attributes}, valid_session
#         expect(assigns(:statistic_entry)).to be_a(StatisticEntry)
#         expect(assigns(:statistic_entry)).to be_persisted
#       end
#
#       it "redirects to the created statistic_entry" do
#         post :create, {:statistic_entry => valid_attributes}, valid_session
#         expect(response).to redirect_to(StatisticEntry.last)
#       end
#     end
#
#     context "with invalid params" do
#       it "assigns a newly created but unsaved statistic_entry as @statistic_entry" do
#         post :create, {:statistic_entry => invalid_attributes}, valid_session
#         expect(assigns(:statistic_entry)).to be_a_new(StatisticEntry)
#       end
#
#       it "re-renders the 'new' template" do
#         post :create, {:statistic_entry => invalid_attributes}, valid_session
#         expect(response).to render_template("new")
#       end
#     end
#   end
#
#   describe "PUT #update" do
#     context "with valid params" do
#       let(:new_attributes) {
#         skip("Add a hash of attributes valid for your model")
#       }
#
#       it "updates the requested statistic_entry" do
#         statistic_entry = StatisticEntry.create! valid_attributes
#         put :update, {:id => statistic_entry.to_param, :statistic_entry => new_attributes}, valid_session
#         statistic_entry.reload
#         skip("Add assertions for updated state")
#       end
#
#       it "assigns the requested statistic_entry as @statistic_entry" do
#         statistic_entry = StatisticEntry.create! valid_attributes
#         put :update, {:id => statistic_entry.to_param, :statistic_entry => valid_attributes}, valid_session
#         expect(assigns(:statistic_entry)).to eq(statistic_entry)
#       end
#
#       it "redirects to the statistic_entry" do
#         statistic_entry = StatisticEntry.create! valid_attributes
#         put :update, {:id => statistic_entry.to_param, :statistic_entry => valid_attributes}, valid_session
#         expect(response).to redirect_to(statistic_entry)
#       end
#     end
#
#     context "with invalid params" do
#       it "assigns the statistic_entry as @statistic_entry" do
#         statistic_entry = StatisticEntry.create! valid_attributes
#         put :update, {:id => statistic_entry.to_param, :statistic_entry => invalid_attributes}, valid_session
#         expect(assigns(:statistic_entry)).to eq(statistic_entry)
#       end
#
#       it "re-renders the 'edit' template" do
#         statistic_entry = StatisticEntry.create! valid_attributes
#         put :update, {:id => statistic_entry.to_param, :statistic_entry => invalid_attributes}, valid_session
#         expect(response).to render_template("edit")
#       end
#     end
#   end
#
#   describe "DELETE #destroy" do
#     it "destroys the requested statistic_entry" do
#       statistic_entry = StatisticEntry.create! valid_attributes
#       expect {
#         delete :destroy, {:id => statistic_entry.to_param}, valid_session
#       }.to change(StatisticEntry, :count).by(-1)
#     end
#
#     it "redirects to the statistic_entries list" do
#       statistic_entry = StatisticEntry.create! valid_attributes
#       delete :destroy, {:id => statistic_entry.to_param}, valid_session
#       expect(response).to redirect_to(statistic_entries_url)
#     end
#   end
#
# end
